Get Live Aggregation
Get live aggregation data for up to 7 days of data at a time for a requested collection or aggregation.
Query Parameters
6 fieldscollection_idrequiredUnique identifier for your collection.
hoursThe number of hours to return in the response.
periodLength of the averaging period in ISO 8601 duration format. Default is PT30M.
output_parametersThe output parameters to include in the response.
aggregation_idUnique identifier that belongs to the requested collection.
formatResponse format
Responses
200OK
LiveAggregationResponse▼
OK
estimated_actualsGET/data/live/aggregations
curl -X GET "https://api.solcast.com.au/data/live/aggregations?output_parameters=pv_estimate&collection_id=aust_state_total&aggregation_id=nsw&format=json" \
-H "Authorization: Bearer $API_KEY"{
"estimated_actuals": [
{
"pv_estimate": 4953.706,
"period_end": "2026-08-07T02:00:00+00:00",
"period": "PT30M"
},
{
"pv_estimate": 4868.921,
"period_end": "2026-08-07T01:30:00+00:00",
"period": "PT30M"
},
{
"pv_estimate": 4686.0715,
"period_end": "2026-08-07T01:00:00+00:00",
"period": "PT30M"
}
]
}Get Forecast Aggregation
Get forecast aggregation data for up to 14 days of data at a time for a requested collection or aggregation.
Query Parameters
6 fieldscollection_idrequiredUnique identifier for your collection.
hoursThe number of hours to return in the response.
periodLength of the averaging period in ISO 8601 duration format. Default is PT30M.
output_parametersThe output parameters to include in the response.
aggregation_idUnique identifier that belongs to the requested collection.
formatResponse format
Responses
200OK
ForecastAggregationResponse▼
OK
forecastsGET/data/forecast/aggregations
curl -X GET "https://api.solcast.com.au/data/forecast/aggregations?output_parameters=pv_estimate&collection_id=aust_state_total&aggregation_id=nsw&format=json" \
-H "Authorization: Bearer $API_KEY"{
"forecasts": [
{
"pv_estimate": 4948.3115,
"period_end": "2026-08-07T02:30:00+00:00",
"period": "PT30M"
},
{
"pv_estimate": 4853.29,
"period_end": "2026-08-07T03:00:00+00:00",
"period": "PT30M"
},
{
"pv_estimate": 4665.9705,
"period_end": "2026-08-07T03:30:00+00:00",
"period": "PT30M"
}
]
}